﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS600A (1 yr) Delay Match IEEE /9100+Opt600
INSTRUMENT:            Sub TDS600A (1 yr) Time Base IEEE /9100+Opt600
INSTRUMENT:            Sub TDS600A (1 yr) Trig Time Acc IEEE /9100+Opt600
INSTRUMENT:            Sub TDS600A (1 yr) Output Signal IEEE /9100+Opt600
DATE:                  2009-12-02 12:22:32
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       21
NUMBER OF LINES:       595
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds600a_1yr_delay_match_etc_ieee_9100_opt600.txt,v $
#    $Date: 2009/12/02 19:44:02 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 600A
#          TDS 620A, TDS 640A, TDS 644A
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        91_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        91_4ck_6.jpg      Picture: Main Trigger Out
#        91_4ck_7.jpg      Picture: Delay Trigger Out
#        91_4ck_8.jpg      Picture: Signal/Source Out Test
#        91_4ck12.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 2
#        91_4ck13.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 3
#        91_4ck14.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 4
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DELAY_MATCH                  PSUBI("Delay Match")
  1.002  JMPL         SAMPLE_RATE                  PSUBI("Time Base")
  1.003  JMPL         TRIGGER_TIME_ACCURACY        PSUBI("Trig Time Acc")
  1.004  JMPL         OUTPUT_SIGNAL                PSUBI("Output Signal")
  1.005  DISP         {Undefined subprocedure!}
  1.006  END

  1.007  EVAL   Increment step number

# ******************************* Delay Match *****************************

  2.001  LABEL        DELAY_MATCH
  2.002  RSLT         =
  2.003  HEAD         {CHECK DELAY BETWEEN CHANNELS}
  2.004  TARGET
  2.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  2.006  MATH         MainScale = 500E-12
  2.007  IEEE2        HOR:MAI:SCA [V MainScale]
  2.008  IEEE2        ACQ:STOPAFTER RUNSTOP;MODE AVERAGE;NUMAVG 16
  2.009  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  2.010  IEEE2        CURS:FUNC PAI;MOD IND
  2.010  IEEE2        CURS:PAI:SEL CURSOR1
# This test requires the measurement of all four channels while triggering on
# Channel 1.  We have to display each waveform and walk up the waveform and
# read the voltage until we reach the zero crossing point. We would have
# liked to store each waveform in reference memory and make a delta time
# measurement with the cursors.  Unfortunately, the cursors have to track one
# waveform at a time, and there are no commands to automate this  function
# any better.

# Set horizontal starting position for Cursor Walker(-2.5 div).
  2.011  MATH         @StartPos = -2.5 * MainScale
# Set loop control variable of measurements.
  2.012  MATH         LoopTimes = 0
# Set maximum checking times for Sub TDS500/600/700 Check Trig Status IEEE.
  2.013  MATH         @TriggeredChkTimes = 3

# The trigger must be put to channel 1 before channel delay test.
  2.014  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC

# Loop 2 times in order to get average of channel delay.
  2.015  DO
  2.016  MATH         Chan = 1

# Loop from channel 1 to 2 or 4 by the UUT models.
  2.017  DO

  2.018  IF           LoopTimes == 0
  2.019  MATH         Test = "First Test"
  2.020  ELSE
  2.021  MATH         Test = "Second Test"
  2.022  ENDIF

  2.023  HEAD         -2 DELAY: Channel [V Chan] ([V Test])

  2.024  IF           Chan == 1
  2.025  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  2.026  ELSEIF       Chan == 2
  2.027  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  2.028  ELSEIF       Chan == 3
  2.029  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  2.030  ELSE
  2.031  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  2.032  ENDIF

# loop if UUT not trigged.
  2.033  DO

  2.034  IF           Chan != 2
  2.035  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  2.036  ENDIF

  2.037  IF           Chan == 1
  2.038  PIC          91_4ck12.jpg
  2.039  ELSEIF       Chan == 3
  2.040  PIC          91_4ck13.jpg
  2.041  ELSEIF       Chan == 4
  2.042  PIC          91_4ck14.jpg
  2.043  ENDIF

  2.044  IEEE2        [T30000]ACQ:STATE RUN
  2.045  9100         600mVpp                      250MH          LS SC S  L
  2.046  IEEE2        TRIG:MAI SETL
  2.047  WAIT         -t 3 Settling...

  2.048  IF           Chan == 1
# Check the channel 1, 2 to see whether the signal have been connected into.
  2.049  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.050  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.051  MATH         HookupOK = @Triggered

  2.052  IEEE2        TRIG:MAI:EDGE:SOU CH2;COUP DC
  2.053  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.054  MATH         HookupOK = HookupOK && @Triggered

  2.055  ELSEIF       Chan > 2
# Check the channel 1 to see whether the signal have been connected into.
  2.056  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.057  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.058  MATH         HookupOK = @Triggered

# Check the channel under test whether the signal have been connected into.
  2.059  IEEE2        TRIG:MAI:EDGE:SOU CH[V Chan];COUP DC
  2.060  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.061  MATH         HookupOK = HookupOK && @Triggered
  2.062  ENDIF

  2.063  IF           NOT(HookupOK)
  2.064  DISP         The UUT is not triggered!
  2.064  DISP         Check connections.
  2.065  ENDIF

  2.066  UNTIL        HookupOK

# The trigger must be put to channel 1 before channel delay test.
  2.067  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.068  IEEE2        TRIG:MAI SETL
  2.069  WAIT         -t 3 Settling...
  2.070  CALL         Sub TDS500/600/700 Read Time by Cursor Walker IEEE

  2.071  IF           Chan == 1
  2.072  MATH         L[1] = @TimeVal
  2.073  ELSEIF       Chan == 2
  2.074  MATH         L[2] = @TimeVal
  2.075  ELSEIF       Chan == 3
  2.076  MATH         L[3] = @TimeVal
  2.077  ELSE
  2.078  MATH         L[4] = @TimeVal
  2.079  ENDIF

  2.080  MATH         Chan = Chan + 1
  2.081  UNTIL        Chan > 4

  2.082  IF           LoopTimes < 1
# Save the first set of readings and take another.
  2.083  MATH         L[11] = L[1]
  2.084  MATH         L[12] = L[2]
  2.085  MATH         L[13] = L[3]
  2.086  MATH         L[14] = L[4]
  2.087  ENDIF

  2.088  MATH         LoopTimes = LoopTimes + 1
# Exit to compare readings if two sets of data have been taken.
  2.089  UNTIL        LoopTimes > 1

# Calculate the average skew between channel 1 & 2
  2.090  MATH         L[6] = (ABS(L[1] - L[2]) + ABS(L[11] - L[12])) / 2
# Calculate the average skew between channel 1 & 3
  2.091  MATH         L[7] = (ABS(L[1] - L[3]) + ABS(L[11] - L[13])) / 2
# Calculate the average skew between channel 1 & 4
  2.092  MATH         L[8] = (ABS(L[1] - L[4]) + ABS(L[11] - L[14])) / 2
# Calculate the greatest amount of skew
  2.093  MATH         MEM = MAX_L(6, 8) / 1E-12

  2.094  MEM2         = Delay Limit between: ±250.0 ps, Result: [V RtStr]
  2.095  EVAL   -e (MEM >= -250) && (MEM <= 250) : [MEM2]

  3.001  HEAD         -2
  3.002  HEAD
  3.003  9100         *                                                 S
  3.004  END

  3.005  EVAL   Increment step number

# ******************************** Sample Rate *****************************

  4.001  LABEL        SAMPLE_RATE
  4.002  RSLT         =
  4.003  RSLT         =TIME BASE SYSTEM CHECKS
  4.004  RSLT         =
  4.005  HEAD         { SAMPLE RATE AND DELAY TIME ACCURACY}
  4.006  TSET         NMEAS = 1 NTHROW = 0
  4.007  TARGET       -p
  4.008  CALL         Sub TDS500/600/700 Select Channel IEEE
  4.009  IEEE2        CH[V @Chan]:SCA 500E-3
  4.010  IEEE2        HOR:MAI:SCA 1E-3
  4.011  IEEE2        CH[V @Chan]:IMP FIF;POSITION 0.0
  4.012  IEEE2        HOR:TRIG:POS 50
  4.013  IEEE2        HOR:POS 50
  4.014  IEEE2        HOR:MODE DELAYED

  4.015  MATH         DelayScale = 250E-9
  4.016  IEEE2        HOR:DEL:SEC [V DelayScale]
  4.017  IEEE2        TRIG:MAI:MODE NORM
  4.018  IEEE2        HOR:RECO 1000
  4.019  IEEE2        HOR:TRIG:POS 50

  4.020  9100         10mT                         1Vpp           MK SC S  L
  4.021  WAIT         -t 3 System Settling ...
  4.022  IEEE2        TRIG:MAI SETL
  4.023  TARGET       -m
  4.024  IEEE2        CURS:FUNC PAI
# Initialize the cursor position -4.5 divisions from the center
  4.025  MATH         StartPos = -1 * 4.5 * DelayScale
  4.026  MATH         StopPos = 4.5 * DelayScale
  4.027  IEEE2        CURS:PAI:POSITION1 [V StartPos];POSITION2 0.0
# Initialize the cursor position -4.5 divisions from the center
  4.028  MATH         CurrentPos = StartPos

# Coarse tuning mode
  4.029  DO
# Start Moving and Reading the cursor
  4.030  MATH         MEM = CurrentPos
# Set the vertical cursor position
  4.031  IEEE2        CURS:PAI:POSITION1 [MEM]
  4.032  WAIT         [D1000]
# Read the vertical cursor position
  4.033  IEEE2        CURS:PAI:POSITION1?[I]
  4.034  MATH         VPos = MEM
# Read the horizontal cursor position
  4.035  IEEE2        CURS:PAI:HPOS1?[I]
  4.036  MATH         HPos = MEM
# Set up string to print in the header
  4.037  MATH         MEM2 = "Vert Cursor = "& VPos & " Hor Cursor = " & HPos
  4.038  HEAD         -2 [MEM2]
# (Forward, time increment is one fifth of delay time base scale).
  4.039  MATH         CurrentPos = CurrentPos + DelayScale / 5
# If the time exceeds +4.5 div, the test has failed and jump out.
# If the voltage exceeds 0.100 volts, then we are on the rise time.
  4.040  UNTIL        (VPos > StopPos) || (HPos >= 0.100)

# Fine Tuning Mode
  4.041  DO
  4.042  MATH         MEM = CurrentPos
# Set the vertical cursor position
  4.043  IEEE2        CURS:PAI:POSITION1 [MEM]
  4.044  WAIT         [D1000]
# Read the horizontal cursor position
  4.045  IEEE2        CURS:PAI:POSITION1?[I]
  4.046  MATH         VPos = MEM
# Read the vertical cursor position
  4.047  IEEE2        CURS:PAI:HPOS1?[I]
  4.048  MATH         HPos = MEM
# Set up string to print in the Header
  4.049  MATH         MEM2 = "Hor Cursor = "& VPos & " Vert Cursor = " & HPos
  4.050  HEAD         -2 [MEM2]
# (backwards, time decrease is one fiftieth of delay time base scale).
  4.051  MATH         CurrentPos = CurrentPos - DelayScale / 50
# If the Time Exceeds -4.5 div, the test has failed and jump out.
# If the voltage below 0.01 volts, then we are on the base line.
  4.052  UNTIL        (VPos <= StartPos) || (HPos <= 0.010)

# Convert the delay time result according the horizontal delay scale.
  4.053  IEEE2        CURS:PAI:POSITION1?[I]
  4.054  MATH         MEM = MEM / DelayScale

# Check the accuracy of calibrator 10 ms marker signal.
  4.055  MATH         L[1] = ACCV2("Datron 9100", "Hertz", 1 / 10E-3, 1)
# Convert to absolute of display division based the delay time base scale.
  4.056  MATH         L[1] = (10E-3 * (L[1] / (1 / 10E-3))) / DelayScale
  4.057  ACC          0.00div        L1U
  4.058  MEMCX        0.00div        4.0U

  5.001  HEAD         -2
  5.002  9100         *                                                 S
  5.003  END

  5.004  EVAL   Increment step number

# **************************** Trigger Time Acc ************************

  6.001  LABEL        TRIGGER_TIME_ACCURACY
  6.002  RSLT         =
  6.003  RSLT         =TRIGGER SYSTEM CHECKS
  6.004  RSLT         =
  6.005  RSLT         =TIME ACCURACY for PULSE,GLICH,TIMEOUT,WIDTH TRIGGERING
  6.006  RSLT         =
  6.007  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale <= 1 µs}
  6.008  TARGET
  6.009  CALL         Sub TDS500/600/700 Select Channel IEEE
  6.010  IEEE2        HOR:MAI:SCA 10.0E-9
  6.011  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
  6.012  9100         500mVpp                      100MH          LS SC S  L
  6.013  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  6.014  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  6.015  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9;LOWL 2E-9
  6.016  IEEE2        TRIG:MAI SETL

# Set Maximum checking times for Sub TDS500/600/700 Check Trig Status IEEE
  6.017  MATH         @TriggeredChkTimes = 3
  6.018  MATH         LowerLimit = 2.5E-9; UpperLimit = 7.5E-9
# Find the pulse width lower Limit setting that could make triggering lost.
  6.019  MATH         Readout = LowerLimit

  6.020  DO
  6.021  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  6.022  HEAD         -2 100 MHz, Lower Limit [MEM2] ns
  6.023  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  6.024  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  6.025  IF           @Triggered
  6.026  MATH         Readout = Readout + 0.1E-9
  6.027  ENDIF

  6.028  UNTIL        Readout > UpperLimit || NOT(@Triggered)

  6.029  MATH         S[2] = FMT(LowerLimit / 1E-9, "%.1f") & " ns"
  6.030  MATH         S[3] = FMT(UpperLimit / 1E-9, "%.1f") & " ns"
  6.031  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  6.032  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  6.033  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  7.001  9100         500mVpp                      100MH          LS SC S  L
# Set the pulse width lower limit back in order to reestablish triggering
  7.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 2E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  7.003  MATH         Readout = UpperLimit

  7.004  DO
  7.005  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  7.006  HEAD         -2 100 MHz, Upper Limit [MEM2] ns
  7.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  7.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  7.009  IF           @Triggered
  7.010  MATH         Readout = Readout - 0.1E-9
  7.011  ENDIF

  7.012  UNTIL        Readout < LowerLimit || NOT(@Triggered)

  7.013  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  7.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  7.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
  8.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9

  8.002  HEAD         -2
  8.003  9100         *                                                 S

  8.004  RSLT         =
  8.005  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale > 1 µs}
  8.006  TARGET
  8.007  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  8.008  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  8.009  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6;LOWL 500E-9
  8.010  IEEE2        HOR:SCA 5E-6
  8.011  9100         500mVpp                      250kH          LS SC S  L
  8.012  WAIT         -t 2 Settling...
  8.013  IEEE2        CH[V @Chan]:SCA 20E-3
  8.014  IEEE2        TRIG:MAI SETL

  8.015  MATH         LowerLimit = 1.0E-6; UpperLimit = 3.0E-6
# Find the pulse width lower Limit setting that could make triggering lost.
  8.016  MATH         Readout = LowerLimit

  8.017  DO
  8.018  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  8.019  HEAD         -2 250 kHz, Lower Limit [MEM2] µs
  8.020  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  8.021  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  8.022  IF           @Triggered
  8.023  MATH         Readout = Readout + 0.01E-6
  8.024  ENDIF

  8.025  UNTIL        Readout > UpperLimit || NOT(@Triggered)

  8.026  MATH         S[2] = FMT(LowerLimit / 1E-6, "%.2f") & " µs"
  8.027  MATH         S[3] = FMT(UpperLimit / 1E-6, "%.2f") & " µs"
  8.028  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  8.029  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  8.030  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  9.001  9100         500mVpp                      250kH          LS SC S  L
# Set the pulse width lower limit back in order to reestablish triggering
  9.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 500E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  9.003  MATH         Readout = UpperLimit

  9.004  DO
  9.005  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  9.006  HEAD         -2 250 kHz, Upper Limit [MEM2] µs
  9.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  9.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  9.009  IF           @Triggered
  9.010  MATH         Readout = Readout - 0.01E-6
  9.011  ENDIF

  9.012  UNTIL        Readout > LowerLimit || NOT(@Triggered)

  9.013  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  9.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  9.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
 10.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6

 10.002  HEAD         -2
 10.003  9100         *                                                 S
 10.004  END

 10.005  EVAL   Increment step number

# ************************** Output Signal *********************************

 11.001  LABEL        OUTPUT_SIGNAL
 11.002  RSLT         =
 11.003  HEAD         {OUTPUT SIGNAL CHECKS}
 11.004  RSLT         =
 11.005  HEAD         -2{ Main Trigger Output, 1 MOhm Impedance}
 11.006  TARGET
 11.007  MATH         @Chan = 3
 11.008  CALL         Sub TDS500/600/700 Select Channel IEEE
 11.009  IEEE2        HOR:MAI:SCA 200.0E-6
 11.010  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
 11.011  IEEE2        TRIG:MAI:EDGE:SOU CH3

 11.012  DO
 11.013  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 11.014  PIC          91_4ck_6.jpg
# Note: We discovered that the manual was incorrect on the output of the
# test signal.  Instead of 0.500 Volts DC, the output should be 0.500 volts
# peak to peak square wave.  This was verified by Tektronix.
 11.015  9100         500mVpp                      1kH            ZQ SC S
 11.016  IEEE2        TRIG:MAI SETL
# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
 11.017  MATH         @TriggeredChkTimes = 3
 11.018  CALL         Sub TDS500/600/700 Check Trig Status IEEE

 11.019  IF           @Triggered == 0
 11.020  DISP         The UUT is not triggered!
 11.020  DISP         Check connections.
 11.021  ENDIF

 11.022  UNTIL        @Triggered

 11.023  IEEE2        SELECT:CH3 OFF;CH2 ON
 11.024  IEEE2        CH2:SCA 1;POS -2.0
 11.025  IEEE2        MEASU:METH MINM
 11.026  IEEE2        ACQ:MODE AVE;NUMAV 64;STATE RUN
 11.027  IEEE2        MEASU:MEAS1:SOU CH2;TYPE HIGH;STATE ON
 11.028  IEEE2        MEASU:MEAS2:SOU CH2;TYPE LOW;STATE ON
 11.029  WAIT         -t 2 Settling...
 11.030  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 11.031  MATH         Result = FMT(MEM, "%.1f") & " V"
 11.032  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
 11.033  EVAL   -e MEM >= 2.5 : [MEM2]

 12.001  9100         500mVpp                      1kH            ZQ SC S
 12.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 12.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 12.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
 12.005  EVAL   -e MEM <= 0.7 : [MEM2]

 13.001  RSLT         =
 13.002  HEAD         -2{ Main Trigger Output, 50 Ohm Impedance}
 13.003  TARGET
 13.004  IEEE2        CH2:IMP FIF
 13.005  9100         500mVpp                      1kH            ZQ SC S
 13.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 13.007  MATH         Result = FMT(MEM, "%.1f") & " V"
 13.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
 13.009  EVAL   -e MEM >= 1.0 : [MEM2]

 14.001  9100         500mVpp                      1kH            ZQ SC S
 14.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 14.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 14.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 14.005  EVAL   -e MEM <= 0.25 : [MEM2]

 15.001  RSLT         =
 15.002  HEAD         -2{ Delayed Trigger Output, 1 MOhm Impedance}
 15.003  TARGET
 15.004  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 15.005  PIC          91_4ck_7.jpg
 15.006  IEEE2        CH2:IMP MEG
 15.007  9100         500mVpp                      1kH            ZQ SC S
 15.008  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 15.009  MATH         Result = FMT(MEM, "%.1f") & " V"
 15.010  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
 15.011  EVAL   -e MEM >= 2.5 : [MEM2]

 16.001  9100         500mVpp                      1kH            ZQ SC S
 16.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 16.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 16.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
 16.005  EVAL   -e MEM <= 0.7 : [MEM2]

 17.001  RSLT         =
 17.002  HEAD         -2{ Delayed Trigger Output, 50 Ohm Impedance}
 17.003  TARGET
 17.004  IEEE2        CH2:IMP FIF
 17.005  9100         500mVpp                      1kH            ZQ SC S
 17.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 17.007  MATH         Result = FMT(MEM, "%.1f") & " V"
 17.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
 17.009  EVAL   -e MEM >= 1.0 : [MEM2]

 18.001  IEEE2        MEASU:IMMED:TYPE LOW
 18.002  9100         500mVpp                      1kH            ZQ SC S
 18.003  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 18.004  MATH         Result = FMT(MEM, "%.1f") & " V"
 18.005  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 18.006  EVAL   -e MEM <= 0.25 : [MEM2]
 19.001  IEEE2        MEASU:MEAS1:STATE OFF
 19.002  IEEE2        MEASU:MEAS2:STATE OFF

 19.003  RSLT         =
 19.004  HEAD         -2{ Signal Output, 1 MOhm Impedance}
 19.005  TARGET
 19.006  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 19.007  PIC          91_4ck_8.jpg
 19.008  IEEE2        CH2:SCA 100E-3;POS 0.0;IMP MEG
 19.009  IEEE2        TRIG:MAI:EDGE:SOU CH3
 19.010  IEEE2        MEASU:MEAS1:SOU CH2;TYPE PK2P;STATE ON
 19.011  9100         500mVpp                      1kH            ZQ SC S
 19.012  IEEE2        TRIG:MAI SETL
 19.013  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 19.014  MATH         MEM = MEM / 1E-3
 19.015  MATH         Result = FMT(MEM, "%.0f") & " mV"
 19.016  MEM2         = Signal Output: [V Result], Bounds: 80 mV to 120 mV
 19.017  EVAL   -e (MEM >= 80) && (MEM <= 120) : [MEM2]

 20.001  RSLT         =
 20.002  HEAD         -2{ Signal Output, 50 Ohm Impedance}
 20.003  TARGET
 20.004  IEEE2        CH2:IMP FIF
 20.005  9100         500mVpp                      1kH            ZQ SC S
 20.006  IEEE2        TRIG:MAI SETL
 20.007  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 20.008  MATH         MEM = MEM / 1E-3
 20.009  MATH         Result = FMT(MEM, "%.0f") & " mV"
 20.010  MEM2         = Signal Output: [V Result], Bounds: 40 mV to 60 mV
 20.011  EVAL   -e (MEM >= 40) && (MEM <= 60) : [MEM2]

 21.001  9100         *                                                 S
 21.002  HEAD         -2
 21.003  END

